/*
 * Licensed Materials - Use restricted. For use in compiling interfaces to
 * IBM Rational TestManager.
 * (c) Copyright IBM Corporation 2001,2002,2006.  All Rights Reserved.
 */

#if !defined __CUSTSGENADAPTER_INCLUDED
#define __CUSTSGENADAPTER_INCLUDED

#ifdef MAKE_A_DLL
#define LINKDLL __declspec( dllexport)
#else
#define LINKDLL __declspec( dllimport)
#endif

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#include "ExtDefs.h"

//All TCHAR* buffers are allocated by the caller, 
//the the following size_t argument specifies the allocated buffer size.
//calls should return RSR_SUCCESS on success, and one of RSR error constants on error


extern "C" BOOL LINKDLL IsCustomScriptgenAdapter();

extern "C" int LINKDLL GetDisplayName(
                     TCHAR* name,                 //in: pointer to output buffer
                     size_t nameSize);            //in: output buffer size
   
extern "C" int LINKDLL GetOptions(
                     TCHAR* options,             //in: pointer to output buffer
                     size_t optionsSize);        //in: output buffer size
  
extern "C" int LINKDLL SetOptions(
                     TCHAR* options,              //in: pointer to input buffer
                     size_t optionsSize,          //in: input buffer size
                     TCHAR* errorMessage,         //in: pointer to output buffer
                     size_t errorMessageSize);    //in: output buffer size

extern "C" int LINKDLL DisplayCustomConfigGUI(
                     TCHAR* errorMessage,         //in: pointer to output buffer
                     size_t errorMessageSize);    //in: output buffer size
                           
extern "C" int LINKDLL InitializeScriptgen(
                     TCHAR* errorMessage,         //in: pointer to output buffer
                     size_t errorMessageSize);    //in: output buffer size

extern "C" int LINKDLL StartScriptgen(
                     TCHAR* sessionFilesPathname,          //in - pathname w/o ext
                     size_t sessionFilesPathnameSize,      //in: input buffer size
                     TCHAR* scriptFilePathnames,           //in - pathnames list w/o ext                       
                     size_t scriptFilePathnamesSize,       //in: input buffer size
                     StatusCallbackPtr fPtr,               //in: function pointer
                     TCHAR* errorMessage,                  //in: pointer to output buffer
                     size_t errorMessageSize);             //in: output buffer size

extern "C" int LINKDLL CancelScriptgen(
                     TCHAR* errorMessage,       //in: pointer to output buffer
                     size_t errorMessageSize);  //in: output buffer size

/////////////////////////////////////////////////////////////////////////////

#endif // !defined __CUSTSGENADAPTER_INCLUDED

